Skip to main content
POST
/
workspaces
/
{id}
/
api-key
/
regenerate
Regenerate workspace API key
curl --request POST \
  --url https://api.firma.dev/functions/v1/signing-request-api/workspaces/{id}/api-key/regenerate \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "key_type": "live"
}
'
{
  "new_key": {
    "api_key": "firma_live_abc123xyz...",
    "created_at": "2024-12-17T10:30:00Z"
  },
  "key_type": "live",
  "expiring_keys": [
    {
      "id": "old-key-uuid",
      "api_key": "firma_old456...",
      "expires_at": "2024-12-18T10:30:00Z"
    }
  ],
  "workspace_id": "123e4567-e89b-12d3-a456-426614174000"
}

Authorizations

Authorization
string
header
required

API key for authentication. Use your API key directly without any prefix (e.g., 'your-api-key'). Bearer prefix is optional but not required.

Path Parameters

id
string<uuid>
required

Workspace ID

Body

application/json
key_type
enum<string>
default:live

Which key type to regenerate ('live' or 'test'). Defaults to 'live'. Regenerating one type does not expire or affect the other.

Available options:
live,
test

Response

API key regenerated successfully

new_key
object

The newly generated API key

key_type
enum<string>

The key type that was regenerated

Available options:
live,
test
expiring_keys
object[]

List of keys that were set to expire in 24 hours

workspace_id
string<uuid>